server:
  port: ${env.server.port}
#  ssl:
#    key-store: classpath:${env.server.ssl-key-store}
#    key-store-password: ${env.server.ssl-key-store-password}
#    key-store-type: ${env.server.ssl-key-store-type}
  tomcat:
    threads:
      max: 500
      min-spare: ${env.server.pool-min-spare}
    accept-count: 500
    max-connections: 8192
    remoteip:
      remote-ip-header: X-Forwarded-For
      protocol-header: X-Forwarded-Proto
      protocol-header-https-value: https
  servlet:
    context-path: /apis
logging:
  config: classpath:log4j2-${spring.profiles.active}.xml
springdoc:
  packages-to-scan: com.kingtom.kirin,com.kingtom.shengtai
spring:
  cache:
    type: caffeine
  jmx:
    enabled: false
  datasource:
    url: jdbc:postgresql://${env.db.ip}:${env.db.port}/${env.db.dbname}
    username: ${env.db.username}
    password: ${env.db.password}
    driverClassName: org.postgresql.Driver
    hikari:
      minimum-idle: ${env.db.poolsize}
      maximum-pool-size: ${env.db.poolsize}
  servlet:
    multipart:
      enabled: true
      max-file-size: 30MB
      max-request-size: 100MB
  flyway:
    # url
    url: ${spring.datasource.url}
    # user
    user: ${spring.datasource.username}
    # password
    password: ${spring.datasource.password}
    # 是否启用flyway
    enabled: true
    # 编码格式，默认UTF-8
    encoding: UTF-8
    # 迁移sql脚本文件存放路径，默认db/migration
    locations: classpath:db
    # 迁移sql脚本文件名称的前缀，默认V
    sql-migration-prefix: V
    # 迁移sql脚本文件名称的分隔符，默认2个下划线__
    sql-migration-separator: __
    # 迁移sql脚本文件名称的后缀
    sql-migration-suffixes: .sql
    # 迁移时是否进行校验，默认true
    validate-on-migrate: true
    # 当迁移发现数据库非空且存在没有元数据的表时，自动执行基准迁移，新建schema_version表
    baseline-on-migrate: true
    # 允许迁移乱序运行
    out-of-order: true
mybatis-flex:
  config-location: classpath:mybatis-config.xml
  mapper-locations:
    - classpath*:dao/*.xml
  type-handlers-package: com.kingtom.kirin.core.database.typehandler
  global-config:
    print-banner: false
    logic-delete-column: deleted
sa-token:
  jwt-secret-key: kingtomisverygood8*8*!
  is-print: false
#  is-read-cookie: false